% pregunta en test 1, tema 5, S2-2012
t = 1:5;
t = t';
P = [45 55 65 73 79]';

% matriz del sistema para determinar ln(C) y alpha
A = [ones(5,1) -t];
% parte derecha
b = log(100./P-1);

% solucion por minimos cuadrados de modelo linea
% log(100/p-1) = logC - alpha*t
coef = A\b;
% determinar C y alpha
C = exp(coef(1));
alpha = coef(2);

C
alpha

% evaluar en 10
100/(1 + C*exp(-10*alpha))

% graficar
plot(t,P,'o')
hold on
xplot = linspace(0,10);
plot(xplot,100./(1+C*exp(-alpha*xplot)));

